List cron tasks
GET
/admin/cron
const url = 'https://gitea.com/api/v1/admin/cron';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/admin/cron \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”CronList
Media typeapplication/json
Array<object>
Cron represents a Cron task
object
exec_times
The total number of times this cron task has been executed
integer format: int64
name
The name of the cron task
string
next
The next scheduled execution time
string format: date-time
prev
The previous execution time
string format: date-time
schedule
The cron schedule expression (e.g., “0 0 * * *”)
string
Examplegenerated
[ { "exec_times": 1, "name": "example", "next": "2026-04-15T12:00:00Z", "prev": "2026-04-15T12:00:00Z", "schedule": "example" }]APIForbiddenError is a forbidden error response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string